const Sequelize = require("sequelize");
const db = require("../../db");

module.exports = db.sequelize.define(
  "users",
  {
    id: {
      type: Sequelize.INTEGER,
      primaryKey: true,
      autoIncrement: true
    },
    name: {
      type: Sequelize.STRING
    },
    email: {
      type: Sequelize.STRING
    },
    password: {
      type: Sequelize.STRING
    },
    address: {
      type: Sequelize.STRING
    },
    tel: {
      type: Sequelize.STRING
    },
    photo: {
      type: Sequelize.TEXT
    },
    role: {
      type: Sequelize.INTEGER
    }
  },
);